Page MenuHomeVyOS Platform

pppoe: Enable ipv6 modules without configured ipv6 pools
Closed, ResolvedPublicFEATURE REQUEST

Description

Our ipv6 implementation require to define IPv6/DP-IPv6 pool in config, but many ISP assign IPv6/PD-IPv6 via RADIUS and this pool not necessary store in config.
I propose enable module ipv6_nd and ipv6_dhcp when we have enable ipv6 in CLI set service pppoe-server ppp-options ipv6 'allow'

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Dmitry changed the task status from Open to In progress.Jan 24 2020, 12:41 PM
Dmitry claimed this task.
Dmitry created this task.

PR https://github.com/vyos/vyos-1x/pull/209
also added missing completion help values.

Dmitry changed the task status from In progress to Needs testing.Jan 24 2020, 6:38 PM
Dmitry changed the task status from Needs testing to Backport pending.Jan 27 2020, 6:13 PM

works as expected on 1.3-rolling-202001270217

syncer reassigned this task from Dmitry to jestabro.Mar 28 2020, 11:59 AM
syncer triaged this task as Low priority.
syncer edited projects, added VyOS 1.2 Crux (VyOS 1.2.6); removed VyOS 1.2 Crux.
syncer moved this task from Need Triage to Backport Candidates on the VyOS 1.3 Equuleus board.
pasik added a subscriber: pasik.Apr 16 2020, 2:35 PM
jestabro closed this task as Resolved.Jul 26 2020, 9:17 PM
jestabro moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.6) board.
jestabro moved this task from Backport Candidates to Finished on the VyOS 1.3 Equuleus board.